[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: Compatibility of Python versions with Anaconda



Well, I'm not that interested in the GUI interface for the installation. We'll be doing this mostly for embedded systems so we're only looking at the text-based interface. The GUI interface is low priority.

If I move the python sources over from anaconda 8.x to anaconda 7.x, AND I have python 2.2 installed, will they (the python scripts) still run?

~vivin

-----Original Message-----
From: Jeremy Katz [mailto:katzj redhat com] 
Sent: Wednesday, November 19, 2003 2:30 PM
To: anaconda-devel-list redhat com
Subject: Re: Compatibility of Python versions with Anaconda

On Wed, 2003-11-19 at 13:19, Patrick Devine wrote:
> On Wed, 19 Nov 2003, Paliath Vivin Suresh-G3699C wrote:
> > My other question is, which is the installation python script that gets 
> > executed after the loader is run?
> 
> "anaconda"
> 
> btw, you might be able to get anaconda 7.x to run on python 2.2.. diff the 
> two sources against each other and you should be able to see any changes 
> that were made to accomodate 2.2.  My guess is that it was pretty minimal.

Unfortunately, not.  python2 also implied a move to pygtk2 which was a
huge change.

On the other hand, 2.2->2.3 ended up being nice and simple (and should
be in rawhide now :)

Jeremy


_______________________________________________
Anaconda-devel-list mailing list
Anaconda-devel-list redhat com
https://www.redhat.com/mailman/listinfo/anaconda-devel-list




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]